/* -*-mode: C; style: K&R; c-basic-offset: 4 ; -*- */

#ifndef _SILVER_H
#define _SILVER_H 1


#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdarg.h>
#include <errno.h>
#include <fcntl.h>
#include <time.h>
#include <sys/time.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>
#include <X11/Xlib.h>
#include <Imlib2.h>
#include <giblib.h>
#include <sys/types.h>
#include <linux/videodev.h>
#include <gtk/gtk.h>






/*
 * Global settings.
 */
extern char g_tmp_file[256];
extern char g_output_dir[256];
extern char g_timestamp_font[256];
extern char g_format_string[256];
extern int  g_view_timestamp;





/*
 * Cam functions.
 */
gint get_image(gpointer data);
Imlib_Image grab_one(int *width, int *height);
void grab_init(char *grab_device);
int  save_image(Imlib_Image image, char *file);
int  find_palette(int fd,struct video_mmap *vid);
int  try_palette(int fd, int pal, int depth);




/*
 * GTK Functions.
 */
void quick_message(gchar *message) ;
void help_about( GtkWidget *w, gpointer   data );
void file_setup( GtkWidget *w, gpointer   data );
void view_timestamp_toggle( gpointer   callback_data, guint callback_action, GtkWidget *menu_item );
void show_preferences_window();

GtkWidget *get_menubar_menu( GtkWidget  *window );



#endif 

